# Forward analytics

Hypertune provides two ways to forward flag evaluations, experiment exposures, and analytics events to your own data warehouse or analytics system:

1. Custom local logging callback
2. Custom remote logging endpoint

## Option 1: Custom local logging callback

You can [define a custom local logging callback](/sdk-reference/local-logging.md) with the `logsHandler` option when calling `createSource` that captures flag evaluations, experiment exposures, and analytics events, and forwards them to an analytics SDK in the browser, for example to Segment.

## Option 2: Custom remote logging endpoint

By default, all flag evaluations, experiment exposures, and analytics events are sent to [Hypertune Edge](/concepts/hypertune-edge.md) via the following endpoint: `https://gcp.fasthorse.workers.dev/logs`

You can [change this endpoint](/sdk-reference/remote-logging.md#change-the-remote-logging-endpoint) with the `remoteLogging.endpointUrl` option when calling `createSource`. Point it to your own server endpoint where you can forward data to your own warehouse or analytics system, and optionally to Hypertune Edge too.

## Comparison

<table><thead><tr><th width="138.44921875"></th><th>Custom local logging callback</th><th>Custom remote logging endpoint</th></tr></thead><tbody><tr><td>Pro</td><td>Simple integration with client-side SDKs of third-party analytics providers.</td><td>Ensures you don't lose any data due to ad blockers or network restrictions in the browser.</td></tr><tr><td>Con</td><td>Some data may be lost due to ad blockers or network restrictions in the browser.</td><td>Server-side integration may be more complex depending on data destination.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hypertune.com/guides/forward-analytics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
